%global apiver  1.0
%global major   1
%define libname %mklibname shumate %{apiver} %major
%define girname %mklibname shumate-gir %{apiver}
%define devname %mklibname shumate %{apiver} -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libshumate
Version:        1.4.0
Release:        %mkrel 2
Summary:        GTK widget to display maps
Group:          System/Libraries
# shumate/shumate-viewport.c and shumate/shumate-viewport.h are
# LGPL-2.0-or-later while the rest of the code is LGPL-2.1-or-later
License:        LGPL-2.1-or-later AND LGPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/libshumate
Source0:        https://download.gnome.org/sources/libshumate/%{url_ver}/libshumate-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gperf
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(sysprof-capture-4)
BuildRequires:  pkgconfig(vapigen)
# Support graphical tests in non-graphical environment
BuildRequires:  x11-server-xvfb
BuildRequires:  at-spi2-core
BuildRequires:  dbus-x11

%description
libshumate is a GTK widget displaying interactive maps. Various map
sources can be used together with the possibility to draw custom
overlays, markers and lines on top of the maps. Bindings to other
languages are provided using GObject Introspection.

%package        -n %libname
Summary:        Library for %{name}
Group:          System/Libraries
# (tv) for translations & the like:
Requires:       %{name} >= %{version}-%{release}

%description    -n %libname
Library for %{name}.

%package        -n %{girname}
Summary:        GObject Introspection interface library for Shumate
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description    -n %{girname}
GObject Introspection interface library for Shumate.


%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/GNOME and GTK+
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{_lib}shumate-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Obsoletes:      %{_lib}shumate-devel < 1.0.1

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation files for %{name}
# urlmap.js is LGPL-2.1-or-later, generated html docs are (Apache-2.0 OR
# GPL-3.0-or-later) and misc other files are MIT
License:        LGPL-2.1-or-later AND (Apache-2.0 OR GPL-3.0-or-later) AND MIT
BuildArch:      noarch

%description    doc
This package contains developer documentation for %{name}.


%prep
%autosetup -p1 -n libshumate-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang shumate1


%check
%if 0
%{shrink:xvfb-run -w 10 -d %meson_test}
%endif

%files -f shumate1.lang
%license COPYING
%doc AUTHORS NEWS README.md

%files -n %libname
%{_libdir}/libshumate-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Shumate-%{apiver}.typelib

%files -n %devname
%{_includedir}/shumate-%{apiver}/
%{_libdir}/libshumate-%{apiver}.so
%{_libdir}/pkgconfig/shumate-%{apiver}.pc
%{_datadir}/gir-1.0/Shumate-%{apiver}.gir
%{_datadir}/vala/vapi/shumate-%{apiver}.{deps,vapi}

%files doc
%license COPYING
%{_docdir}/libshumate-%{apiver}/


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.4.0-2.mga10
+ Revision: 2248779
- Mageia 10 Mass Rebuild

* Wed Mar 19 2025 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2166563
- new version 1.4.0

* Wed Sep 18 2024 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2098018
- new version 1.3.0

* Sun Jun 02 2024 daviddavid <daviddavid> 1.2.2-1.mga10
+ Revision: 2069211
- new version 1.2.2

* Sun Mar 17 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2050217
- new version 1.2.0

* Sat Nov 04 2023 daviddavid <daviddavid> 1.1.2-1.mga10
+ Revision: 2003954
- new version 1.1.2

* Sun Oct 01 2023 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 1992687
- new version 1.1.0

* Mon Jan 09 2023 daviddavid <daviddavid> 1.0.3-1.mga9
+ Revision: 1931955
- new version 1.0.3

* Sat Oct 22 2022 ovitters <ovitters> 1.0.2-1.mga9
+ Revision: 1898468
- new version 1.0.2

* Tue Sep 20 2022 wally <wally> 1.0.1-1.mga9
+ Revision: 1890863
- new version 1.0.1
- add api to devel pkg name
- don't own directories belonging to other pkgs

* Tue Sep 20 2022 tv <tv> 1.0.0~beta-1.mga9
+ Revision: 1890773
- imported package libshumate


* Tue Sep 06 2022 Kalev Lember <klember@redhat.com> 1.0.0~beta-1
- Update to 1.0.0.beta

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-6.20220818git7808f24
- Update to latest git snapshot

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-5
- Add %%check section with meson test (rhbz#2120272)

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-4
- Fix gir directory ownership

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-3
- Split developer docs out to -doc subpackage (rhbz#2120272)
- Fix license tag for the -doc subpackage

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-2
- Correct license tag to LGPL-2.1-or-later AND LGPL-2.0-or-later
  (rhbz#2120272)

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-1
- Initial Fedora packaging (rhbz#2120272)
